OGRE: Ogre::InstancedGeometry::InstancedObject Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::InstancedGeometry::InstancedObject Class Reference

`#include <OgreInstancedGeometry.h>`

List of all members.

## Public Types

typedef std::vector< GeometryBucket * > | GeometryBucketList
| list of Geometry Buckets that contains the instanced object
enum | TransformSpace { TS_LOCAL, TS_PARENT, TS_WORLD }

## Public Member Functions

| InstancedObject (int index)
| InstancedObject (int index, SkeletonInstance *skeleton, AnimationStateSet *animations)
| ~InstancedObject ()
void | setPosition (Vector3 position)
Vector3 & | getPosition (void)
void | yaw (const Radian &angle)
void | pitch (const Radian &angle)
void | roll (const Radian &angle)
void | rotate (const Quaternion &q)
void | setScale (const Vector3 &scale)
void | addBucketToList (GeometryBucket *bucket)
void | needUpdate ()
GeometryBucketList & | getGeometryBucketList (void)
void | translate (const Matrix3 &axes, const Vector3 &move)
void | translate (const Vector3 &d)
Matrix3 | getLocalAxes (void) const
void | updateAnimation (void)
AnimationState * | getAnimationState (const String &name) const
SkeletonInstance * | getSkeletonInstance (void)

## Protected Attributes

GeometryBucketList | mGeometryBucketList
unsigned short | mIndex
Matrix4 | mTransformation
Quaternion | mOrientation
Vector3 | mScale
Vector3 | mPosition
SkeletonInstance * | mSkeletonInstance
Matrix4 * | mBoneWorldMatrices
| Cached bone matrices, including any world transform.
Matrix4 * | mBoneMatrices
| Cached bone matrices in skeleton local space.
AnimationStateSet * | mAnimationState
| State of animation for animable meshes.
unsigned short | mNumBoneMatrices
unsigned long | mFrameAnimationLastUpdated
| Records the last frame in which animation was updated.

## Friends

class | GeometryBucket

## Member Typedef Documentation

typedef std::vector<GeometryBucket*> Ogre::InstancedGeometry::InstancedObject::GeometryBucketList

| list of Geometry Buckets that contains the instanced object Definition at line 257 of file OgreInstancedGeometry.h.

## Member Enumeration Documentation

enum Ogre::InstancedGeometry::InstancedObject::TransformSpace

Enumeration values:

  TS_LOCAL | Transform is relative to the local space.
  TS_PARENT | Transform is relative to the space of the parent node.
  TS_WORLD | Transform is relative to world space.

Definition at line 247 of file OgreInstancedGeometry.h.

## Constructor & Destructor Documentation

Ogre::InstancedGeometry::InstancedObject::InstancedObject | ( | int | index | ) |

Ogre::InstancedGeometry::InstancedObject::InstancedObject | ( | int | index,
|  | SkeletonInstance * | skeleton,
|  | AnimationStateSet * | animations
| ) |

Ogre::InstancedGeometry::InstancedObject::~InstancedObject | ( |  | ) |

## Member Function Documentation

void Ogre::InstancedGeometry::InstancedObject::addBucketToList | ( | GeometryBucket * | bucket | ) |

AnimationState* Ogre::InstancedGeometry::InstancedObject::getAnimationState | ( | const String & | name | ) | const

GeometryBucketList& Ogre::InstancedGeometry::InstancedObject::getGeometryBucketList | ( | void |  | ) |

| Definition at line 288 of file OgreInstancedGeometry.h.

Matrix3 Ogre::InstancedGeometry::InstancedObject::getLocalAxes | ( | void |  | ) | const

Vector3& Ogre::InstancedGeometry::InstancedObject::getPosition | ( | void |  | ) |

SkeletonInstance* Ogre::InstancedGeometry::InstancedObject::getSkeletonInstance | ( | void |  | ) |

| Definition at line 294 of file OgreInstancedGeometry.h.

void Ogre::InstancedGeometry::InstancedObject::needUpdate | ( |  | ) |

void Ogre::InstancedGeometry::InstancedObject::pitch | ( | const Radian & | angle | ) |

void Ogre::InstancedGeometry::InstancedObject::roll | ( | const Radian & | angle | ) |

void Ogre::InstancedGeometry::InstancedObject::rotate | ( | const Quaternion & | q | ) |

void Ogre::InstancedGeometry::InstancedObject::setPosition | ( | Vector3 | position | ) |

void Ogre::InstancedGeometry::InstancedObject::setScale | ( | const Vector3 & | scale | ) |

void Ogre::InstancedGeometry::InstancedObject::translate | ( | const Vector3 & | d | ) |

void Ogre::InstancedGeometry::InstancedObject::translate | ( | const Matrix3 & | axes,
|  | const Vector3 & | move
| ) |

void Ogre::InstancedGeometry::InstancedObject::updateAnimation | ( | void |  | ) |

void Ogre::InstancedGeometry::InstancedObject::yaw | ( | const Radian & | angle | ) |

## Friends And Related Function Documentation

friend class GeometryBucket`[friend]`

| Definition at line 245 of file OgreInstancedGeometry.h.

## Member Data Documentation

AnimationStateSet* Ogre::InstancedGeometry::InstancedObject::mAnimationState`[protected]`

| State of animation for animable meshes. Definition at line 271 of file OgreInstancedGeometry.h.

Matrix4* Ogre::InstancedGeometry::InstancedObject::mBoneMatrices`[protected]`

| Cached bone matrices in skeleton local space. Definition at line 269 of file OgreInstancedGeometry.h.

Matrix4* Ogre::InstancedGeometry::InstancedObject::mBoneWorldMatrices`[protected]`

| Cached bone matrices, including any world transform. Definition at line 267 of file OgreInstancedGeometry.h.

unsigned long Ogre::InstancedGeometry::InstancedObject::mFrameAnimationLastUpdated`[protected]`

| Records the last frame in which animation was updated. Definition at line 274 of file OgreInstancedGeometry.h.

GeometryBucketList Ogre::InstancedGeometry::InstancedObject::mGeometryBucketList`[protected]`

| Definition at line 259 of file OgreInstancedGeometry.h.

unsigned short Ogre::InstancedGeometry::InstancedObject::mIndex`[protected]`

| Definition at line 260 of file OgreInstancedGeometry.h.

unsigned short Ogre::InstancedGeometry::InstancedObject::mNumBoneMatrices`[protected]`

| Definition at line 272 of file OgreInstancedGeometry.h.

Quaternion Ogre::InstancedGeometry::InstancedObject::mOrientation`[protected]`

| Definition at line 262 of file OgreInstancedGeometry.h.

Vector3 Ogre::InstancedGeometry::InstancedObject::mPosition`[protected]`

| Definition at line 264 of file OgreInstancedGeometry.h.

Vector3 Ogre::InstancedGeometry::InstancedObject::mScale`[protected]`

| Definition at line 263 of file OgreInstancedGeometry.h.

SkeletonInstance* Ogre::InstancedGeometry::InstancedObject::mSkeletonInstance`[protected]`

| Definition at line 265 of file OgreInstancedGeometry.h.

Matrix4 Ogre::InstancedGeometry::InstancedObject::mTransformation`[protected]`

| Definition at line 261 of file OgreInstancedGeometry.h.

The documentation for this class was generated from the following file:

- OgreInstancedGeometry.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:46:57 2008